Index: /code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw
===================================================================
--- /code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw	(revision 7560)
+++ /code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw	(revision 7561)
@@ -21,25 +21,75 @@
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
+    skybox       = "Orxonox/skypanoramagen1"
   >
 <!----- Spawnpoints ----->
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint team=0 position="-200,200,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint team=0 position="-200,0,200" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint team=0 position="200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint team=0 position="200,200,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint team=0 position="200,0,200" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="-1150,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="1150,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="-700,0,700" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="700,0,-700" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="0,0,-1150" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint team=0 position="0,0,1150" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+<Bot />
 
-<!-- ----------------random fog ------>
+<!-- ------------ middle asteroid -------------- -->
+    <StaticEntity position="0,20,0">
+       <attached>
+           <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
+           <!--ParticleEmitter position="0,0,0" source="Orxonox/Steam" /-->
+           <collisionShapes>
+               <SphereCollisionShape radius="30" />
+           </collisionShapes>
+       </attached>
+    </StaticEntity>
+
+
+<!-- ---------------asteroid dome----------------- -->
 <?lua
-for i = 1, 100, 1
+max = 17
+for i = 1, max, 1
+do
+    y = math.sin(i/max*6)*750
+    z = math.cos(i/max*6)*750
+    x = i*10
+    ?>
+<?lua
+for k = 1, 25, 1
 do
 j = math.random()
 ?>
 
-    <StaticEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>">
+    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
       <attached>
-        <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i+3,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+    </StaticEntity>#
+
+    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*5,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*13,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*17,6) + 1) ?>.mesh">
+	</Model>
       </attached>
     </StaticEntity>
@@ -48,67 +98,7 @@
 end
 ?>
-<!-- Carrier with guns not implemented yet-->
-    <MovableEntity position="-2000,-1000,-2000" pitch="-90" roll="90">
-      <attached>
-        <Model position="0,0,0" scale=10 mesh="Carrier.mesh" />
-        <Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
-        <Model position="-80,-30,20" scale=10 mesh="pirate.mesh" roll="180" />
-      </attached>
-	      <collisionShapes>
-        <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
-        <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
-        <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
-        <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
-        <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
-        <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
-        <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
-      </collisionShapes>
-    </MovableEntity>
+<?lua end ?>
 
-<!-- ---------------- Space Station --------------- -->
-<?lua
-    dofile("includes/CuboidSpaceStation.lua")
-  ?>
-      <StaticEntity scale=1 position="-5000,100,1000" roll=30>
-        <attached>
-          <?lua
-            createSpaceStationPar(65461,2,1,2,1,2,1,100)
-          ?>
-          <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
-        </attached>
-      </StaticEntity>
-<!--
-    <Destroyer position="3500, -2000, -1000" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=500>
-      <attached>
-        <CheckPoint />
-        <Model position="0,0,0" scale="5" mesh="Carrier.mesh"/>
-        <Backlight
-          mainstate=activity
-          active=false
-          scale=0.4
-          name=bltest
-          position=" 7.6, 0, 6"
-          colour="0.2, 0.65, 1.0, 1.0"
-          width=15
-          length=1500
-          lifetime=2
-          elements=50
-          trailmaterial="Trail/backlighttrail"
-          turnontime=1
-          turnofftime=1
-          material="Flares/ThrusterFlare1"
-        />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
-        <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
-        <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
-        <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
-        <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
-        <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
-        <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
-      </collisionShapes>
-    </Destroyer>
--->
+
 
 
@@ -116,2 +106,3 @@
 </Level>
 
+
